XMLNotationDecl Class Reference

This class represents the core information about a notation declaration that all validators must at least support. More...

`#include <xercesc/framework/XMLNotationDecl.hpp>`

Inheritance diagram for XMLNotationDecl:

## Public Member Functions

Constructors
| XMLNotationDecl (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| XMLNotationDecl (const XMLCh *const notName, const XMLCh *const pubId, const XMLCh *const sysId, const XMLCh *const baseURI=0, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new.
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation.
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new.
void | operator delete (void *p)
| This method overrides operator delete.
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new.
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new.

## Destructor

| ~XMLNotationDecl ()
XMLSize_t | getId () const
const XMLCh * | getName () const
const XMLCh * | getPublicId () const
const XMLCh * | getSystemId () const
const XMLCh * | getBaseURI () const
unsigned int | getNameSpaceId () const
MemoryManager * | getMemoryManager () const
void | setId (const XMLSize_t newId)
void | setName (const XMLCh *const notName)
void | setPublicId (const XMLCh *const newId)
void | setSystemId (const XMLCh *const newId)
void | setBaseURI (const XMLCh *const newId)
void | setNameSpaceId (const unsigned int newId)
const XMLCh * | getKey () const

## Additional Inherited Members

Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor.

## Detailed Description

This class represents the core information about a notation declaration that all validators must at least support.

Each validator will create a derivative of this class which adds any information it requires for its own extra needs.

At this common level, the information supported is the notation name and the public and sysetm ids indicated in the notation declaration.

## Constructor & Destructor Documentation

## XMLNotationDecl() [1/2]

XMLNotationDecl::XMLNotationDecl | ( | MemoryManager *const | manager = XMLPlatformUtils::fgMemoryManager | ) |

References XMLPlatformUtils::fgMemoryManager.

Referenced by setName().

## XMLNotationDecl() [2/2]

XMLNotationDecl::XMLNotationDecl | ( | const XMLCh *const | notName,
|  | const XMLCh *const | pubId,
|  | const XMLCh *const | sysId,
|  | const XMLCh *const | baseURI = 0,
|  | MemoryManager *const | manager = XMLPlatformUtils::fgMemoryManager )

References XMLPlatformUtils::fgMemoryManager.

## ~XMLNotationDecl()

XMLNotationDecl::~XMLNotationDecl | ( |  | ) |

References getBaseURI(), getId(), getMemoryManager(), getName(), getNameSpaceId(), getPublicId(), getSystemId(), and setId().

## Member Function Documentation

## getBaseURI()

const XMLCh * XMLNotationDecl::getBaseURI | ( |  | ) | const

Referenced by ~XMLNotationDecl().

## getId()

XMLSize_t XMLNotationDecl::getId | ( |  | ) | const

Referenced by ~XMLNotationDecl().

## getKey()

const XMLCh * XMLNotationDecl::getKey | ( |  | ) | const

Referenced by setName().

## getMemoryManager()

MemoryManager * XMLNotationDecl::getMemoryManager | ( |  | ) | const

Referenced by ~XMLNotationDecl().

## getName()

const XMLCh * XMLNotationDecl::getName | ( |  | ) | const

Referenced by ~XMLNotationDecl().

## getNameSpaceId()

unsigned int XMLNotationDecl::getNameSpaceId | ( |  | ) | const

Referenced by ~XMLNotationDecl().

## getPublicId()

const XMLCh * XMLNotationDecl::getPublicId | ( |  | ) | const

Referenced by ~XMLNotationDecl().

## getSystemId()

const XMLCh * XMLNotationDecl::getSystemId | ( |  | ) | const

Referenced by ~XMLNotationDecl().

## setBaseURI()

void XMLNotationDecl::setBaseURI | ( | const XMLCh *const | newId | ) |

References XMLString::replicate().

Referenced by setName().

## setId()

void XMLNotationDecl::setId | ( | const XMLSize_t | newId | ) |

Referenced by ~XMLNotationDecl().

## setName()

void XMLNotationDecl::setName | ( | const XMLCh *const | notName | ) |

References getKey(), setBaseURI(), setNameSpaceId(), setPublicId(), setSystemId(), and XMLNotationDecl().

## setNameSpaceId()

void XMLNotationDecl::setNameSpaceId | ( | const unsigned int | newId | ) |

Referenced by setName().

## setPublicId()

void XMLNotationDecl::setPublicId | ( | const XMLCh *const | newId | ) |

References MemoryManager::deallocate(), and XMLString::replicate().

Referenced by setName().

## setSystemId()

void XMLNotationDecl::setSystemId | ( | const XMLCh *const | newId | ) |

References XMLString::replicate().

Referenced by setName().

The documentation for this class was generated from the following file:

- XMLNotationDecl.hpp